#!/bin/bash

echo -e '\nDebconf for package 'keyboard-configuration' pre:'
$ROOTCMD debconf-show "keyboard-configuration"

echo -e '\nLoading selections for file:'
SELECTIONS="$(cat "$FAI/debconf/HW4F_DESKTOP")"

echo -e '\nSetting selections:'
$ROOTCMD debconf-set-selections -v <<< "$SELECTIONS"

### WORK AROUND A BUG IN UBUNTU WHICH IGNORES DEBCONF

dc_get () {
	grep "$1" <<< "$SELECTIONS" \
		|awk '{print $4}'
}

XKBMODEL="$(dc_get "keyboard-configuration/modelcode")"
XKBLAYOUT="$(dc_get "keyboard-configuration/layoutcode")"
XKBVARIANT="$(dc_get "keyboard-configuration/variantcode")"
XKBOPTIONS="$(dc_get "keyboard-configuration/optionscode")"

cat <<EOF | $ROOTCMD tee /etc/default/keyboard
# KEYBOARD CONFIGURATION FILE

# Consult the keyboard(5) manual page.

XKBMODEL="$XKBMODEL"
XKBLAYOUT="$XKBLAYOUT"
XKBVARIANT="$XKBVARIANT"
XKBOPTIONS="$XKBOPTIONS"

BACKSPACE="guess"
EOF

### RECONFIGURE PACKAGES
PACKAGES="$(awk '{print $1}' <<< "$SELECTIONS" | sort -u)"
for PACKAGE in $PACKAGES; do
        echo -e '\n'"Debconf for package '$PACKAGE' pre-configure:"
        $ROOTCMD debconf-show "$PACKAGE"

        echo -e '\n'"Reconfiguring package '$PACKAGE'"
        $ROOTCMD dpkg-reconfigure -f noninteractive "$PACKAGE"

        echo -e '\n'"Debconf for package '$PACKAGE' post:"
        $ROOTCMD debconf-show "$PACKAGE"
done

